Subject: RE: doubt about implecit NULL label

From: "David Allan" <[email-masked]>
Date: Wed, 18 Jul 2001 09:57:39 -0400

Ashish:

you wrote.... Once R[n-1] has decided to send the packet to R[n], the label
no longer has any function, and need no longer be carried.  .....

IMHO this is true only if R[n] does not care about where the traffic came
from, and R[n-1] can do appropriate queueing discipline without using an
LSP.

I can think of lots of reasons why carrying a label to R[n] would actually
optimize the hardware.

cheers
Dave